[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#418994: Bug#418993: SVN texlive (new) commit: r2684 - in texlive-new/trunk: all/debian texlive-base/debian texlive-bin/debian texlive-lang/debian

Rene Engelhard <rene@debian.org> wrote:

>> Frank: What does it hurt to add the Replaces?
> IMHO not. And in case aptitude really behaves like we think they are
> needed.

It doesn't hurt to add them, but I think it would "hurt" not to
investigate what happened, because it might hide the real problem.  When
I called "stop, wait a moment" it was because I didn't understand why
our older efforts were not enough, and wanted to first understand what's
going on.

I'm not sure that the scenario you pictured would produce the problem
described.  But indeed a Conflicts in texlive-common might not be

What was common to those cases was that texlive-common was not installed
(not even unpacked) when those packages were unpacked.  This situation
is perfectly allowed if we have only a versioned conflict in tl-common
on which those packages *depend*.  The only way to prevent those
packages to be installed at the same time as tetex-*_3.0 is still
present would be a Conflict; and in this case, indeed, Replaces is the
better solution.

Regards, Frank
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)

Reply to: